package com.example.smmlb

import Fragments.AnalizFragment
import Fragments.ProfileFragment
import Fragments.ResultFragment
import Fragments.SupportFragment
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.example.smmlb.databinding.ActivityMainBinding
import androidx.fragment.app.Fragment


class MainActivity : AppCompatActivity() {
    lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        loadFragment(AnalizFragment())

        binding.menuBar.setOnNavigationItemSelectedListener {
            when (it.itemId) {
                R.id.Analiz_menu -> {
                    loadFragment(AnalizFragment())
                }
                R.id.User_menu -> {
                    loadFragment(ProfileFragment())
                }
                R.id.Support_menu -> {
                    loadFragment(SupportFragment())
                }
                R.id.Result_menu -> {
                    loadFragment(ResultFragment())
                }
            }
            true
        }
    }

    private  fun loadFragment(fragment: Fragment){
        val transaction = supportFragmentManager.beginTransaction()
        transaction.replace(R.id.container,fragment)
        transaction.commit()
    }
}